## atspi-value

atspi-value

## Functions

gdouble | atspi_value_get_minimum_value ()
gdouble | atspi_value_get_current_value ()
gdouble | atspi_value_get_maximum_value ()
gboolean | atspi_value_set_current_value ()
gdouble | atspi_value_get_minimum_increment ()

## Types and Values

| AtspiValue

## Object Hierarchy

        GInterface
        ╰── AtspiValue

## Known Implementations

AtspiValue is implemented by AtspiAccessible.

## Description

## Functions

### atspi_value_get_minimum_value ()

    gdouble
    atspi_value_get_minimum_value (AtspiValue *obj,
                                   GError **error);

Gets the minimum allowed value for an AtspiValue.

#### Parameters

obj | a pointer to the AtspiValue implementor on which to operate. |

#### Returns

the minimum allowed value for this object.

### atspi_value_get_current_value ()

    gdouble
    atspi_value_get_current_value (AtspiValue *obj,
                                   GError **error);

Gets the current value for an AtspiValue.

#### Parameters

obj | a pointer to the AtspiValue implementor on which to operate. |

#### Returns

the current value for this object.

### atspi_value_get_maximum_value ()

    gdouble
    atspi_value_get_maximum_value (AtspiValue *obj,
                                   GError **error);

Gets the maximum allowed value for an AtspiValue.

#### Parameters

obj | a pointer to the AtspiValue implementor on which to operate. |

#### Returns

the maximum allowed value for this object.

### atspi_value_set_current_value ()

    gboolean
    atspi_value_set_current_value (AtspiValue *obj,
                                   gdouble new_value,
                                   GError **error);

Sets the current value of an AtspiValue.

#### Parameters

obj | a pointer to the AtspiValue implementor on which to operate. |
new_value | a gdouble value which is the desired new value of the object. |

#### Returns

TRUE if the value could be assigned the specified value, FALSE otherwise.

### atspi_value_get_minimum_increment ()

    gdouble
    atspi_value_get_minimum_increment (AtspiValue *obj,
                                       GError **error);

Gets the minimum increment by which an AtspiValue can be adjusted.

#### Parameters

obj | a pointer to the AtspiValue implementor on which to operate. |

#### Returns

the minimum increment by which the value may be changed, or zero if the minimum increment cannot be determined.

## Types and Values

### AtspiValue

    typedef struct _AtspiValue AtspiValue;